mbedtls_x509_crt_profile Struct Reference
X.509 module

Security profile for certificate verification. More...

`#include <x509_crt.h>`

## Data Fields

uint32_t | allowed_mds
| MDs for signatures. More...
uint32_t | allowed_pks
| PK algs for signatures. More...
uint32_t | allowed_curves
| Elliptic curves for ECDSA. More...
uint32_t | rsa_min_bitlen
| Minimum size for RSA keys. More...

## Detailed Description

Security profile for certificate verification.

All lists are bitfields, built by ORing flags from MBEDTLS_X509_ID_FLAG().

Definition at line 107 of file x509_crt.h.

## Field Documentation

uint32_t mbedtls_x509_crt_profile::allowed_curves

Elliptic curves for ECDSA.

Definition at line 111 of file x509_crt.h.

uint32_t mbedtls_x509_crt_profile::allowed_mds

MDs for signatures.

Definition at line 109 of file x509_crt.h.

uint32_t mbedtls_x509_crt_profile::allowed_pks

PK algs for signatures.

Definition at line 110 of file x509_crt.h.

uint32_t mbedtls_x509_crt_profile::rsa_min_bitlen

Minimum size for RSA keys.

Definition at line 112 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h